Agda-2.3.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None

Agda.Compiler.Epic.ForceConstrs

Description

Remove forced arguments from constructors.

Synopsis

- makeForcedArgs :: Type -> ForcedArgs
- forceConstrs :: [Fun] -> Compile TCM [Fun]
- forceFun :: Fun -> Compile TCM Fun

# Documentation

makeForcedArgs :: Type -> ForcedArgs

Check which arguments are forced

forceConstrs :: [Fun] -> Compile TCM [Fun]

Remove forced arguments from constructors and branches

forceFun :: Fun -> Compile TCM Fun